> ## Documentation Index
> Fetch the complete documentation index at: https://docs.eldra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Updates an existing client's information with the provided data.



## OpenAPI

````yaml https://raw.githubusercontent.com/FooBarBizarre/docs/refs/heads/main/api-reference/openapi.json patch /clients/{id}
openapi: 3.0.1
info:
  title: Maia Backend API
  version: v1
servers: []
security: []
paths:
  /clients/{id}:
    patch:
      tags:
        - Client
      summary: Updates an existing client's information with the provided data.
      parameters:
        - name: id
          in: path
          description: The unique identifier of the client to update.
          required: true
          schema:
            type: integer
            format: int32
      requestBody:
        description: The client data to update (only non-null fields will be updated).
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PatchClient'
          text/json:
            schema:
              $ref: '#/components/schemas/PatchClient'
          application/*+json:
            schema:
              $ref: '#/components/schemas/PatchClient'
      responses:
        '200':
          description: OK
        '204':
          description: Client updated successfully.
        '404':
          description: Client not found.
components:
  schemas:
    PatchClient:
      type: object
      properties:
        name:
          type: string
          nullable: true
        phone:
          type: string
          nullable: true
        city:
          type: string
          nullable: true
        street:
          type: string
          nullable: true
        country:
          type: string
          nullable: true
        zipCode:
          type: string
          nullable: true
        language:
          type: string
          nullable: true
      additionalProperties: false

````